Skip to main content
PUT
/
v2
/
whoami
/
update
curl --request PUT \
  --url https://api.app.fleetit.com/v2/whoami/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "John",
  "last_name": "Doe",
  "is_onboarded": true
}
'
import requests

url = "https://api.app.fleetit.com/v2/whoami/"

payload = {
"first_name": "John",
"last_name": "Doe",
"is_onboarded": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: 'John', last_name: 'Doe', is_onboarded: true})
};

fetch('https://api.app.fleetit.com/v2/whoami/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 0,
  "username": "",
  "first_name": "John",
  "last_name": "Doe",
  "email": "",
  "permission_groups": [
    ""
  ],
  "is_onboarded": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
first_name
string
required
Example:

"John"

last_name
string
required
Example:

"Doe"

is_onboarded
boolean
required
Example:

true

Response

200 - application/json

Successful response

id
integer
Example:

0

username
string
Example:

""

first_name
string
Example:

"John"

last_name
string
Example:

"Doe"

email
string
Example:

""

permission_groups
string[]
Example:
[""]
is_onboarded
boolean
Example:

true